<?php
/**
 * Welcome Page Initiation
*/

include get_stylesheet_directory() . '/welcome/welcome.php';

/** Plugins **/
$plugins = array(
	// *** Companion Plugins
	'companion_plugins' => array(
		'access-demo-importer' 	=> array(
			'slug' 				=> 'access-demo-importer',
			'name' 				=> esc_html__('Instant Demo Importer', 'brovy'),
			'filename' 			=>'access-demo-importer.php',
 			// Use either bundled, remote, wordpress
			'host_type' 		=> 'wordpress',
			'class' 			=> 'Access_Demo_Importer',
			'info' => __('Access Demo Importer Plugin adds the feature to Import the Demo Conent with a single click.', 'brovy'),
		)
	),
	// *** Required Plugins
	'required_plugins' 			=> array(),

	// *** Recommended Plugins
	'recommended_plugins' => array(
			// Free Plugins
		'free_plugins' => array(
			'accesspress-social-counter' => array(
				'slug' 		=> 'accesspress-social-counter',
				'filename' 	=> 'accesspress-social-counter.php',
				'class' 	=> 'SC_Class'
			),
			'contact-form-7' => array(
				'slug' 		=> 'contact-form-7',
				'filename' 	=> 'wp-contact-form-7.php',
				'class' 	=> 'WPCF7_Submission'
			),
			'newsletter' => array(
				'slug' 		=> 'newsletter',
				'filename' 	=> 'plugin.php',
				'class' 	=> 'Newsletter'
			),
			'accesspress-twitter-feed' => array(
				'slug' 		=> 'accesspress-twitter-feed',
				'filename' 	=> 'accesspress-twitter-feed.php',
				'class' 	=> 'APTF_Class'
			)
		),
		// Pro Plugins
		'pro_plugins' => array()
	),
);

$strings = array(
		// Welcome Page General Texts
	'welcome_menu_text' => esc_html__( 'Brovy Setup', 'brovy' ),
	'theme_short_description' => esc_html__( 'Brovy is a Child Theme of Zincy Lite. Brovy extend the Zincy Lite theme with more beautifully crafted design.', 'brovy' ),

	// Plugin Action Texts
	'install_n_activate' => esc_html__('Install and Activate', 'brovy'),
	'deactivate' => esc_html__('Deactivate', 'brovy'),
	'activate' => esc_html__('Activate', 'brovy'),

	// Recommended Plugins Section
	'pro_plugin_title' => esc_html__( 'Pro Plugins', 'brovy' ),
	'pro_plugin_description' => esc_html__( 'Take Advantage of some of our Premium Plugins.', 'brovy' ),
	'free_plugin_title' => esc_html__( 'Free Plugins', 'brovy' ),
	'free_plugin_description' => esc_html__( 'These Free Plugins might be handy for you.', 'brovy' ),

	// Demo Actions
	'installed_btn' => esc_html__('Activated', 'brovy'),
	'deactivated_btn' => esc_html__('Activated', 'brovy'),
	'demo_installing' => esc_html__('Installing Demo', 'brovy'),
	'demo_installed' => esc_html__('Demo Installed', 'brovy'),
	'demo_confirm' => esc_html__('Are you sure to import demo content ?', 'brovy'),

	// Actions Required
	'req_plugins_installed' => esc_html__( 'All Recommended action has been successfully completed.', 'brovy' ),
	'customize_theme_btn' => esc_html__( 'Customize Theme', 'brovy' ),
);

/**
 * Initiating Welcome Page
*/
$my_theme_wc_page = new brovy_Welcome( $plugins, $strings );